import Kategorie from 'src/components/Kategorie/Kategorie'

export const QUERY = gql`
  query FindKategorieById($id: Int!) {
    kategorie: kategorie(id: $id) {
      id
      name
    }
  }
`

export const Loading = () => <div>Loading...</div>

export const Empty = () => <div>Kategorie not found</div>

export const Failure = ({ error }) => (
  <div className="rw-cell-error">{error?.message}</div>
)

export const Success = ({ kategorie }) => {
  return <Kategorie kategorie={kategorie} />
}
